org.opengis.cite.ogcapifeatures10.conformance

## Class Conformance

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.CommonFixture
  - - org.opengis.cite.ogcapifeatures10.conformance.Conformance

-     public class Conformance
      extends CommonFixture

  A.2.4. Conformance Path {root}/conformance
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapifeatures10.CommonFixture

      `requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conformance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[][]` | `conformanceUris(org.testng.ITestContext testContext)`
    `(package private) List<RequirementClass>` | `parseAndValidateRequirementClasses(io.restassured.path.json.JsonPath jsonPath)`
    `void` | `storeRequirementClassesInTestContext(org.testng.ITestContext testContext)`
    `void` | `validateConformanceOperationAndResponse(TestPoint testPoint)` Abstract Test 7: /ats/core/conformance-op Test Purpose: Validate that a Conformance Declaration can be retrieved from the expected location.

    - ### Methods inherited from class org.opengis.cite.ogcapifeatures10.CommonFixture

      `clearMessages, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conformance

          public Conformance()

  - ### Method Detail

    - #### conformanceUris

          public Object[][] conformanceUris(org.testng.ITestContext testContext)

    - #### storeRequirementClassesInTestContext

          public void storeRequirementClassesInTestContext(org.testng.ITestContext testContext)

    - #### validateConformanceOperationAndResponse

          public void validateConformanceOperationAndResponse(TestPoint testPoint)

           Abstract Test 7: /ats/core/conformance-op
           Test Purpose: Validate that a Conformance Declaration can be retrieved from the expected location.
           Requirement: /req/core/conformance-op

           Test Method:
            1. Construct a path for each "conformance" link on the landing page as well as for the {root}/conformance path.
            2. Issue an HTTP GET request on each path
            3. Validate that a document was returned with a status code 200
            4. Validate the contents of the returned document using test /ats/core/conformance-success.

           Abstract Test 8: /ats/core/conformance-success
           Test Purpose: Validate that the Conformance Declaration response complies with the required structure and contents.
           Requirement: /req/core/conformance-success

           Test Method:
            1. Validate the response document against OpenAPI 3.0 schema confClasses.yaml
            2. Validate that the document includes the conformance class "http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/core"
            3. Validate that the document list all OGC API conformance classes that the API implements.

      Parameters:
        `testPoint` - the test point to test, never `null`

    - #### parseAndValidateRequirementClasses

          List<RequirementClass> parseAndValidateRequirementClasses(io.restassured.path.json.JsonPath jsonPath)

      Parameters:
        `jsonPath` - never `null`
      Returns:
        the parsed requirement classes, never `null`
      Throws:
        `AssertionError` - if the json does not follow the expected structure

Copyright © 2020 Open Geospatial Consortium. All rights reserved.